### Class

# WPEPlatformWayland ClipboardWayland

#### Description

    final class WPEPlatformWayland.ClipboardWayland : WPEPlatform.Clipboard
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WPEClipboard
- GObject

#### Constructors

###### wpe_clipboard_wayland_new

Create a new `WPEClipboardWayland`.

#### Instance methods

##### Methods inherited from WPEClipboard (7)

###### wpe_clipboard_get_change_count

Get the amount of times `clipboard` changed since it was created.

###### wpe_clipboard_get_content

Get the `WPEClipboardContent` previously set with wpe_clipboard_set_content(). This function returns `NULL` if `clipboard` is empty or its contents are owned by the system clipboard.

###### wpe_clipboard_get_display

Get the `WPEDisplay` of `clipboard`.

###### wpe_clipboard_get_formats

Get the formats that clipboard can provide.

###### wpe_clipboard_read_bytes

Get the contents of `clipboard` for the given `format` as bytes.

###### wpe_clipboard_read_text

Get the contents of `clipboard` for the given `format` as text.

###### wpe_clipboard_set_content

Set `content` on `clipboard`. Passing a `NULL` `content` will clear the `clipboard`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from WPEClipboard (2)

###### WPEPlatform.Clipboard:change-count

A counter of changes in the clipboard.

###### WPEPlatform.Clipboard:display

The `WPEDisplay` of the clipboard.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformWaylandClipboardWaylandClass {
      WPEClipboardClass parent_class;

    }

No description available.

###### Class members

`parent_class: WPEClipboardClass`

  No description available.